Bug 80509 - allow login as another user in a window
allow login as another user in a window
Status: CLOSED WONTFIX
Product: Red Hat Public Beta
Classification: Retired
Component: gdm (Show other bugs)
phoebe
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-12-27 09:54 EST by Marius Andreiana
Modified: 2007-04-18 12:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-02 11:03:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marius Andreiana 2002-12-27 09:54:39 EST
I noticed in ximian gnome2 that gdm allows logins as another user in a regular
window.

This facility is still not enabled in redhat. It would be useful, as there's no
easy way for newbies to login as another user without logging out the current one.

Thanks
Comment 1 Havoc Pennington 2003-01-02 11:03:38 EST
That feature uses Xnest, and isn't really supportable as Xnest lacks 
some needed features. For example if any app in the window 
tries to draw an icon while you're on another workspace, the Xnest will crash.
And Xnest doesn't have all the extensions and such that normal X has. Basically
Xnest isn't supported for actual usage, it's just a test program.

You can log on two users at once by using multiple virtual consoles running 
real X sessions, if you poke around on the internet some there's probably a HOWTO.
Comment 2 Josiah Royse 2003-01-02 20:54:08 EST
If you want to also graphically log into a machine that is already logged in
graphically- jump into a virtual console:

Ctrl-Alt-F1

then login, and type:

startx -- :1

To jump back to the original X session: Ctrl-Alt-F7

Note You need to log in before you can comment on or make changes to this bug.